Download it now!
Bug 130483 - Crash on pasting a table from Writer
Summary: Crash on pasting a table from Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: IA64 (Itanium) All
: high major
Assignee: Mark Hung
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-06 11:43 UTC by Alan Goodkin
Modified: 2020-03-04 21:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer document containg two tables (17.67 KB, application/vnd.oasis.opendocument.text)
2020-02-08 22:05 UTC, Alan Goodkin
Details
Impress file containing the table from the Writer doc in the first slide (26.44 KB, application/vnd.oasis.opendocument.presentation)
2020-02-08 22:08 UTC, Alan Goodkin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Goodkin 2020-02-06 11:43:53 UTC
Description:
Writer table was the same size as the table I had set up in Impress, but had one split cell. Import of the data appeared to be correct up to this point. When I clicked on the Impress table, there was a crash.


Steps to Reproduce:
1. Create a slide with a table of the correct dimensions
2. In Writer, copy a table with one split cell
3. In Impress, paste the table
4. In Impress, try to do something (can't remember what I actually did, but probably tried to adjust the cell size).

Haven't tried to reproduce it as I'm in a hurry to complete a presentation.

Actual Results:
crashreport.libreoffice.org/stats/crash_details/a294ce1e-6127-487b-a901-a1af35699194

Expected Results:
Table imported, including the split cell.



Reproducible: Didn't try


User Profile Reset: No



Additional Info:
Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-GB
Calc: CL
Comment 1 Xisco Faulí 2020-02-06 17:46:36 UTC
I can't reproduce it in

Versión: 6.4.0.3 (x86)
Id. de compilación: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
Subprocs. CPU: 2; SO: Windows 6.1 Service Pack 1 Build 7601; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

Could you please attach the writer file with the table?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 Roman Kuznetsov 2020-02-07 05:43:01 UTC
>4. In Impress, try to do something (can't remember what I actually did, but probably tried to adjust the cell size).

We need more clear steps

I can't repro it by your unclear steps in

Версия: 7.0.0.0.alpha0+ (x64)
ID сборки: 69ccba90135f4dfc22d4cb823e10cf4794ddaa04
Потоков ЦП: 4; ОС: Windows 10.0 Build 18362; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 3 Alan Goodkin 2020-02-08 22:05:41 UTC
Created attachment 157752 [details]
Writer document containg two tables
Comment 4 Alan Goodkin 2020-02-08 22:08:22 UTC
Created attachment 157753 [details]
Impress file containing the table from the Writer doc in the first slide
Comment 5 Alan Goodkin 2020-02-08 22:20:50 UTC
Steps to reproduce:

1. Open both documents.
2. In Impress, duplicate the first slide.
3. Select the table in the new second slide. (The whole table is highlighted)
4. Press the Delete key. (All the data in the table is deleted, but not the table itself)
5. In Writer, select the second table. (The whole table is highlighted)
6. Press Ctrl-C to copy the table.
7. In Impress, with the selected blank table highlighted, press Ctrl-V to paste the table data.
8. Wait a moment and move the mouse. Crash.
Comment 6 raal 2020-02-09 06:07:33 UTC
I can reproduce the crash with Version: 7.0.0.0.alpha0+
Build ID: d41d7ecb60fb38204fafcb1aa4595992721855e6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 7 raal 2020-02-09 06:46:59 UTC
This seems to have begun at the below commit.
Adding Cc: to Mark Hung ; Could you possibly take a look at this one?
Thanks

bibisect-linux-64-5.4
5e8cf5a0709cb0f14480b67679fe45a4d6339df6 is the first bad commit
commit 5e8cf5a0709cb0f14480b67679fe45a4d6339df6
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Feb 17 12:34:22 2017 +0100

    source sha:291538bac9b0d9e1afe69c244ffa9e3f4b203761

author	Mark Hung <marklh9@gmail.com>	2017-02-14 00:41:38 +0800
committer	Mark Hung <marklh9@gmail.com>	2017-02-17 11:21:28 +0000
commit	291538bac9b0d9e1afe69c244ffa9e3f4b203761 (patch)
tree	6ab2aac6c36cb14421f54fd5ef5c90aa5523bcff
parent	93a7df4bdf6a79a4973907d517149818d99c3638 (diff)
tdf#105423 merge cells based on its column edge.
Comment 8 Commit Notification 2020-02-15 16:55:12 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5f90c8bc0270f692a38073b1e4aa9e3b6ba106ed

tdf#130483 prevent pasting cell exceeds the border.

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-02-25 16:29:22 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: d0487363753960faccb8ba464414e18786dcd915
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: ca-ES-valencia (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Mark, thanks for fixing this issue! Closing as VERIFIED FIXED
Comment 10 Commit Notification 2020-02-26 10:24:01 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/183294472d4d40b5ca810ffc5eeb6a3c3dc86331

tdf#130483 prevent pasting cell exceeds the border.

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Alan Goodkin 2020-03-04 21:50:31 UTC
I have tested the bug in LibreOffice 6.4.2.1, and it is fixed. Thanks.